/* ---------------------------------------------------------
  VACATIONS CUSTOM LAYOUT: /costa-rica-vacations
--------------------------------------------------------- */
.cms-vacation-wrap { --sectionPadding: 3rem; display: block !important; }
.cms-vacation-wrap section { padding: var(--sectionPadding) 0; position: relative; }
.cms-vacation-wrap .content-builder-wrap { margin: 0 !important; }

/* TTD */
.cms-vacation-wrap .vacation-ttd .row { row-gap: 1.5rem; }
.cms-vacation-wrap .thing-to-do-wrap .thing-to-do-img { height: 100% !important; }
.cms-vacation-wrap .thing-to-do-wrap .thing-to-do-link { gap: 0; }
.cms-vacation-wrap .thing-to-do-wrap .title { margin-bottom: 1.5rem; }
.cms-vacation-wrap .thing-to-do-wrap .text-wrap { display: grid; grid-template-rows: 0fr; transition: grid-template-rows 0.5s ease; }
.cms-vacation-wrap .thing-to-do-wrap .text { min-height: 0; opacity: 0; overflow: hidden; font-size: 1rem; transition: opacity 0.4s ease, padding 0.5s ease; }
.cms-vacation-wrap .thing-to-do-wrap .view { text-decoration: none; }
.cms-vacation-wrap .thing-to-do-wrap:hover .text-wrap { grid-template-rows: 1fr; }
.cms-vacation-wrap .thing-to-do-wrap:hover .text { opacity: 1; padding-bottom: 1.5rem; }

/* Accordion */
.cms-vacation-wrap .vacation-accordion .row { row-gap: 1.5rem; }
.cms-vacation-wrap .accordion > .card { border: none !important; background: transparent; border-radius: none; }
.cms-vacation-wrap .accordion > .card:last-child { margin-bottom: 0; }
.cms-vacation-wrap .accordion > .card .card-header { background: transparent; border-radius: none; }
.cms-vacation-wrap .accordion > .card .card-header button { padding: 0.75rem; gap: 0.5rem; background: transparent; box-shadow: none !important; color: hsl(var(--siteColor1)) !important; text-align: center; text-transform: uppercase; }
.cms-vacation-wrap .accordion > .card .card-header button[aria-expanded=true]:after { background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 384 512"><path fill="hsl(346, 71%, 39%)" d="M368 224H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h352c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16z"></path></svg>'); }
.cms-vacation-wrap .accordion > .card .card-header button:after { display: inline-block; margin-left: 0.5rem; position: relative; top: auto; right: auto; transform: none; }
.cms-vacation-wrap .accordion > .card .collapse { border: none !important; }
.cms-vacation-wrap .accordion > .card .card-body { border: none !important; text-align: left; } 

/* Media Breakpints */
@media (min-width: 576px) {
  .cms-vacation-wrap .vacation-ttd .row { row-gap: 1.875rem; }
}
@media (min-width: 992px) {
  .cms-vacation-wrap .vacation-intro .container { max-width: 56.25rem; }
}
@media (min-width: 1025px) {
  .cms-vacation-wrap { --sectionPadding: 4rem; }
  .cms-vacation-wrap .accordion > .card .card-header .card-title { font-size: 1.375rem; }
}

/* Content Builder - Show Hover Text for ease of editing */
#contentarea .cms-vacation-wrap .thing-to-do-wrap .text-wrap { grid-template-rows: 1fr; }
#contentarea .cms-vacation-wrap .thing-to-do-wrap .text { opacity: 1; padding-bottom: 1.5rem; }

/* Content Builder - Make Images Editable */
#contentarea .cms-vacation-wrap .thing-to-do-wrap .thing-to-do-link { pointer-events: none; }
#contentarea .cms-vacation-wrap .thing-to-do-wrap .thing-to-do-link * { pointer-events: auto; }
#contentarea .cms-vacation-wrap .thing-to-do-img.elm-active + .thing-to-do-link { pointer-events: auto; }
#contentarea .cms-vacation-wrap .thing-to-do-img.elm-active + .thing-to-do-link * { position: relative; z-index: 99999 !important; }
